org.apache.tinkerpop.gremlin.structure.io.util

## Class CustomId

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.util.CustomId

-     public class CustomId
      extends Object

  A mock identifier for use in ensuring that custom serializers work around element identifiers.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CustomId.CustomIdIoRegistry`
    `static class` | `CustomId.CustomIdJacksonDeserializerV2d0`
    `static class` | `CustomId.CustomIdJacksonDeserializerV3d0`
    `static class` | `CustomId.CustomIdJacksonSerializerV1d0`
    `static class` | `CustomId.CustomIdJacksonSerializerV2d0`
    `static class` | `CustomId.CustomIdJacksonSerializerV3d0`
    `static class` | `CustomId.CustomIdTinkerPopJacksonModuleV2d0`
    `static class` | `CustomId.CustomIdTinkerPopJacksonModuleV3d0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomId(String cluster, UUID elementId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getCluster()`
    `UUID` | `getElementId()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomId

          public CustomId(String cluster,
                          UUID elementId)

  - ### Method Detail

    - #### getCluster

          public String getCluster()

    - #### getElementId

          public UUID getElementId()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.